Overzicht

Secure4U is een programma dat de systeembeheerder in staat stelt het beveiligingsbeleid van een organisatie te implementeren op alle werkstations door toegangsrechten in te stellen voor zowel bekende als onbekende toepassingen.

De snelle groei en het toegenomen gebruik van e-mail en het Internet hebben ervoor gezorgd dat over de hele wereld talloze toepassingen worden verspreid die zonder toezicht van de systeembeheerder worden gestart door argeloze gebruikers. Dit kunnen onschadelijke ActiveX- of Java-toepassingen zijn, maar ook programma's die als een paard van Troje veel schade kunnen aanrichten. Love Letter, WinExplorer.zip en Back Orifice zijn slechts enkele voorbeelden van programma's die op deze manier veel ellende hebben veroorzaakt.

Op de meeste Internet-sites wordt tegenwoordig actieve inhoud gebruikt om sites te verfraaien. Actieve inhoud kan worden omschreven als uitbreidingen die zijn geschreven om extra mogelijkheden toe te voegen aan webbrowsers (bijvoorbeeld menu's, spreadsheets of animaties). Actieve inhoud wordt gemaakt door nieuwe soorten uitvoerbare bestanden (ActiveX en Java ) in binaire vorm te gebruiken. Het gevolg is dat nieuwe beveiligingskwesties de kop opsteken. Als door de webbrowser een verwijzing wordt gevonden op een pagina die u bekijkt, wordt de bijbehorende actieve inhoud automatisch gedownload (vaak van onbekende of niet-herkende bronnen) en de onderliggende code uitgevoerd. De verspreiding en het gebruik van e-mail betekent dat talloze bekende en niet-herkende toepassingen over de hele wereld worden verspreid, waarna ze door niets vermoedende gebruikers worden gestart en een ernstige bedreiging kunnen vormen van niet alleen hun eigen computer maar zelfs het hele bedrijfsnetwerk.

Deze gedownloade onbekende inhoud kan kwaadaardige of vijandige code bevatten, die beschadiging van bronnen op de computer en/of het netwerk kan veroorzaken. De code kan ook zo zijn geschreven dat bestanden of gegevens worden doorzocht, gekopieerd en vervolgens doorgestuurd of dat de computer onbruikbaar raakt. Met Secure4U beschikt u over proactieve beveiliging tegen zowel actieve inhoud (ActiveX, Java, Java Script of VB Script) als alle mobiele code (alle onbekende uitvoerbare bestanden) die naar uw systeem wordt overgebracht.

Traditionele firewalls, die fungeren als gateways naar het netwerk, en virusscanners bieden geen proactieve bescherming tegen deze bedreigingen .

Functionaliteit van Secure4U

Secure4U is de eerste commercieel verkrijgbare beveiligingsoplossing waarmee werkstations en netwerken kunnen worden beveiligd tegen aanvallen met elk type actieve inhoud (ActiveX , Java en andere uitvoerbare code) dat wordt ontvangen van het Internet of een ander domein .

Met Secure4U kunt u voor elke toepassing (bekend of onbekend) een afgeschermde omgeving instellen (een Sandbox) en de toegang van de toepassing tot bronnen op uw computer beperken. Binnen deze afgeschermde omgeving kan alle code worden uitgevoerd en kan de code toegang krijgen tot aanroepen van systeembronnen door een toepassing. Stuurprogramma's, de registerdatabase (alle configuraties) en het bestandssysteem worden afgeschermd en continu gecontroleerd om de privacy en integriteit van uw systeem te garanderen.

Bij de installatie van Secure4U wordt het werkstation gecontroleerd op reeds geïnstalleerde of bekende toepassingen. Daarnaast worden voor de meestgebruikte webbrowsers (Netscape en Internet Explorer), e-mailclients (Outlook, Outlook Express en Lotus Notes) en een beperkt gebied voor onbekende toepassingen (groep met zwaar beperkte toepassingen) vooraf geconfigureerde standaard-Sandboxes ingesteld.

Secure4U controleert de activiteiten van toepassingen en het beveiligingsmechanisme is dus niet gebaseerd op een vergelijking met een database met verwijzingen naar vijandige toepassingen. Er wordt een controle uitgevoerd op alle acties en toegang tot bronnen, maar alleen verdachte of ongewenste acties worden geblokkeerd. Het is dan ook de eerste commercieel verkrijgbare gedragsscanner, waarmee niet alleen beveiliging tegen doelbewuste vijandige aanvallen mogelijk is, maar ook tegen toepassingen met onbedoelde gevaren als gevolg van slecht geschreven code. Elke andere toepassing binnen de gebruikersomgeving kan zonder beperkingen worden uitgevoerd en heeft onbeperkt toegang tot bronnen. U kunt zien welke onderdelen zijn geïnstalleerd en worden uitgevoerd op uw computer, waar ze vandaan komen, welke activiteiten een toepassing uitvoert en welke bronnen worden gebruikt.

Met Secure4U wordt een beveiligingscordon ingesteld op een Windows-werkstation dat onzichtbaar is geïntegreerd in het besturingssysteem en dat kan worden geïntegreerd met bestaande oplossingen voor netwerkbeveiliging . Met deze beveiliging biedt Secure4U bescherming tegen tekortkomingen en onvolkomenheden in de beveiligingsmechanismen van webbrowser en de Java virtuele machine.


Beveiliging

Secure4U beschermt de volgende bronnen in uw computer tegen ongewenste en verdachte toegang en wijzigingen:

Het register

In Windows-besturingssystemen worden de configuraties van het systeem en toepassingen opgeslagen in de registerdatabase. Als een vijandige toepassing instellingen in de registerdatabase wijzigt, kan dit instabiliteit van toepassingen of zelfs van het gehele systeem veroorzaken. Door wijzigingen aan te brengen in de registerdatabase kan een vijandige toepassing ook ongewenste toegang krijgen tot bronnen op uw computer.

Toegang tot services

Secure4U controleert alle toegang tot systeemservices die plaatsvindt vanuit beperkte toepassingen. Door de instellingen van bepaalde services te wijzigen (het stoppen of benaderen van bepaalde services) kan een vijandige toepassing uw computer onbruikbaar maken of ongewenste toegang krijgen tot bronnen en gegevens.

Gevaarlijke aanroepen van het systeem

Bepaalde interfacefunctionaliteit van het systeem is uitsluitend bedoeld voor intern gebruik van Windows of voor speciaal gebruik van toepassingen. Er is geen reden om deze functionaliteit onder normale omstandigheden te gebruiken. Verder is het niet mogelijk gevaarlijke aanroepen van het systeem te versturen. De beschikbaarheid van deze ingangspunten van het systeem wordt door Secure4U gereserveerd voor beperkte toepassingen.

Toegang tot het bestandssysteem

Door toegang te krijgen tot het bestandssysteem heeft een toepassing toegang tot alle gegevens en alle bestanden. Met Secure4U kunt u de toegang tot het bestandssysteem beperken , afhankelijk van de gebruikte programmaconfiguratie . In een doorsnee scenario kunt u een map instellen voor het opslaan van gegevens die zijn ontvangen van het Internet en tegelijkertijd de toegang tot alle andere mappen blokkeren voor de webbrowser.

Toegang en controle van IP-poorten en IP-adressen

Secure4U kan de toegang tot IP-poorten door beperkte toepassingen controleren. Door bepaalde IP-poorten te gebruiken, kan een toepassing gegevens naar het Internet e-mailen of verbinding maken via een ander protocol.

Starten van processen regelen

Secure4U kan voorkomen dat een andere toepassing wordt gestart door een beperkte toepassing of ervoor zorgen dat hierbij de beveiligde omgeving wordt overgenomen. Hierdoor kan misbruik van vertrouwde toepassingen door vijandige code worden voorkomen.

Filteren van inhoud, virussen

Met Secure4U kunt u uw computer beheren en beveiligen tegen alle ActiveX- en Java-toepassingen die worden geïnstalleerd. Secure4U beveiligt uw computer wanneer een nieuwe toepassing wordt geïnstalleerd en wordt uitgevoerd. In het geval van ActiveX kunt u vaststellen wie de toepassing heeft gemaakt, of de eigenschappen van de toepassing correct zijn opgegeven, van welke site de toepassing is gedownload en op welke manier de toepassing op het systeem wordt geïnstalleerd. Het is tevens mogelijk reeds geïnstalleerde ActiveX-toepassingen te verwijderen.

Scannen op virussen

Als een virusscanner is geïnstalleerd die wordt ondersteund door Secure4U, worden alle CAB-bestanden die worden ontvangen via de webbrowser geopend en gecontroleerd op virussen voordat ze op de computer worden geïnstalleerd. Het scannen op virussen gebeurt door het aanroepen van de virusscanner die op uw computer is geïnstalleerd. Hiervoor wordt een API of een opdrachtregel gebruikt. Secure4U ondersteunt verschillende veelgebruikte virusscanners . Het is ook mogelijk door de gebruiker gedefinieerde virusscanners te gebruiken door opdrachtregelparameters op te geven. Zelfs als uw virusscanner geen opdrachtregelondersteuning biedt, kan de scanner worden gebruikt met Secure4U.

Cachebeheer

Cachebeheer is volledig geïntegreerd met de Secure4U-omgeving. Met Cachebeheer kunt u automatisch sessiegegevens uit de browsercache verwijderen.

Cookiebeheer

Met Cookiebeheer kunt u cookies blokkeren, verwijderen en beheren voor alle gebruikers/profielen op een computer. Verder kunt u instellen of en hoe websites/URL's cookies naar uw computer mogen verzenden.

Inhoud van websites en e-mail filteren

De beveiliging kan verder worden vergroot door webpagina's met ongewenste gegevens (zoals actieve inhoud) of uitgaande e-mailberichten met vertrouwelijke gegevens te blokkeren.


Beheerprogramma

Met het beheerprogramma van kunt u Secure4U configureren. Het beheerprogramma controleert het systeem op geïnstalleerde toepassingen en stelt standaardwaarden in voor de meestgebruikte webbrowsers en e-mailclients. Een standaardinstallatie neemt maar een paar minuten in beslag.

Het Secure4U-beheerprogramma biedt de interface waarmee de beheerder interactief alle onderdelen kan configureren. Het programma bestaat uit twee delen: Sandbox & Firewall en Inhoud filteren. Sandbox & Firewall kan worden uitgevoerd in een eenvoudige modus en een geavanceerde modus.


DE MENU'S

Via de menubalk kunt u een aantal belangrijke instellingen opgeven. Voorbeelden hiervan zijn externe configuratie, het opslaan en herstellen van wijzigingen in een configuratie, het in- of uitschakelen van Secure4U of onderdelen van het programma, controleregels en configuratiemodus. Sommige opdrachten zijn eenvoudig te kiezen via de werkbalk.

Op dit moment zijn de volgende menu's beschikbaar in het beheerprogramma:

  • Bestand
  • Bewerken
  • Beeld
  • Help


Het menu Bestand

Het menu Bestand bevat de volgende opdrachten:

  • Lokale configuratie opslaan

  • Lokale configuratie herstellen

  • Standaardconfiguratie herstellen

  • Wachtwoord wijzigen

  • Afsluiten

Lokale configuratie opslaan en herstellen

U kunt de huidige configuratie of andere configuraties opslaan en later herstellen door de desbetreffende opdracht te kiezen in het menu Bestand. Het dialoogvenster Configuratiebeheer wordt dan weergegeven

Typ de naam van de configuratie die u wilt opslaan in het vak Configuratielabel. De knop Opslaan wordt nu geactiveerd, zodat u de configuratie kunt opslaan. Als u deze configuratie opnieuw wilt gebruiken, selecteert u deze in het dialoogvenster en klikt u vervolgens op Herstellen.

Standaardconfiguratie herstellen

Met deze opdracht wordt de systeemconfiguratie hersteld die is ingesteld tijdens de installatie.

Wachtwoord wijzigen

U kunt de toegang tot het beheerprogramma blokkeren door zelf een wachtwoord te kiezen. Laat bij het invoeren van het wachtwoord de kolom Oud wachtwoord leeg en vul de rest in. Als u iedereen weer toegang wilt geven tot het programma, typt u het wachtwoord in de kolom Oud wachtwoord en vult u de rest niet in.

Afsluiten

Met deze opdracht beëindigt u deze beheersessie en worden alle configuratiewijzigingen opgeslagen.


Het menu Bewerken

Het menu Bewerken bevat de volgende opdrachten:

  • Secure4U inschakelen

  • Secure4U uitschakelen

  • Nieuwe toepassingengroep maken

  • Controleren

  • Uitvoeringsinstellingen

  • Opties

Secure4U inschakelen/uitschakelen

U kunt Secure4U in- of uitschakelen door Secure4U inschakelen of Secure4U uitschakelen te selecteren in het menu Bewerken. Als u het programma uitschakelt, is er geen beveiliging actief en worden geen controles uitgevoerd. Als u het programma inschakelt, wordt de computer beveiligd en gecontroleerd volgens de opgegeven instellingen.

Opmerking Als u Secure4U uitschakelt, heeft dit direct effect. Als u het programma daarentegen inschakelt, moet u de beperkte toepassingen opnieuw starten om de wijziging door te voeren.

Symbool | Status | Toelichting
 | Groen | Het programma is ingeschakeld en de normale modus is actief.
 | Rood | Er is een actieve verbinding met het Internet en Secure4U is actief.
 | Grijs | Secure4U is uitgeschakeld.

Nieuwe toepassingengroep maken

Zie voor meer informatie het hoofdstuk Geavanceerde modus / Een toepassingengroep maken .

Controleren

In het eerste scherm van Controle-instellingen kunt u een map voor het logboekbestand instellen.

Schrijfinterval logboek – hier kunt u het aantal vermeldingen opgeven dat moet worden opgeslagen in de cache voordat de gegevens worden weggeschreven naar het logboek.

Controleniveaus

Hier kunt u het aantal controleniveaus en de bijbehorende acties opgeven.

Kies een naam voor het geselecteerde controleniveau. Als u dat hebt gedaan, wijst u de verschillende acties voor dat niveau toe. Sommige controleniveaus zijn hetzelfde, maar u kunt de definitie ervan wijzigen.

Opmerking Een hoger nummer betekent standaard een uitgebreidere controle.

Het is niet mogelijk de standaardstatus te herstellen. Hieronder vindt u een beschrijving van de standaardstatus voor de verschillende niveaus.

Dit zijn de beschikbare instellingen:

Nr | Naam | Beschrijving
0 | Negeren | Geen controle
1 | Activiteitenvenster | Activiteitenvenster
2 | Activiteitenvenster | Activiteitenvenster
3 | Naar bestand | Activiteitenvenster, logboekregistratie in lokaal bestand
4 | Naar bestand | Activiteitenvenster, logboekregistratie in lokaal bestand
5 | Naar bestand | Activiteitenvenster, Activiteitenvenster altijd op voorgrond, logboekregistratie in lokaal bestand
6 | Lokale waarschuwing | Activiteitenvenster, logboekregistratie in lokaal bestand, Berichtvak voor gebruiker
7-15 | Naar bestand | Zie nr. 3

Verklaring

  • Activiteitenvenster – controleberichten worden weergegeven in het Activiteitenvenster
  • Activiteitenvenster altijd op voorgrond – het Activiteitenvenster wordt altijd op de voorgrond weergegeven
  • Logboekregistratie in lokaal bestand – gebeurtenissen worden weggeschreven naar een opgegeven bestand
  • Berichtvak voor gebruiker – op de lokale computer wordt een berichtvak weergegeven

Alle wijzigingen worden direct van kracht.

Controleanalyse

Logboekregistratie in een lokaal bestand gebeurt met de XML-indeling. De logboekbestanden kunnen worden bekeken met Internet Explorer 5.0 of hoger en elke andere toepassing die de XML-indeling ondersteunt. In de logboekmap staat ook een XML-scriptbestand (all.xml) waarmee de logboeken kunnen worden gefilterd en geanalyseerd.

Uitvoeringsinstellingen

U kunt voor de verschillende toepassingengroepen een of meer functieblokken uitschakelen, bijvoorbeeld vanwege prestatieredenen.

Als bepaalde veiligheidscontroles niet nodig zijn, kunt u deze ook uitschakelen. Het is raadzaam voorzichtig te werk te gaan bij het uitschakelen van onderdelen, zodat u voor beperkte groepen geen essentiële onderdelen van Secure4U uitschakelt. Wanneer u een item uitschakelt in de uitvoeringsinstellingen, wordt de desbetreffende functie uitgeschakeld in het beheerprogramma.

Kernelmodus
  • Bewaking register – hiermee beveiligt u de toegang tot registergegevens
  • Bewaking bestanden – hiermee beveiligt u de toegang tot het bestandssysteem
  • Bewaking start van processen – hiermee beveiligt u de toepassing die is gestart (aangeroepen) door een andere toepassing
  • Bewaking TCP/IP – hiermee beveiligt u de TCP/IP-poorten en IP-adressen
Systeem – gebruikersmodus

Zie het hoofdstuk Diversen in Systeem.

Systeem – kernelmodus
  • Bewaking toegang gevaarlijk apparaat – hiermee beveiligt u de onderstaande items
    • Dismount volume
    • Lock volume
    • Set compression
    • Unlock volume
    • Disk eject media
    • Disk format tracks
    • Disk load media
    • Disk media removal
    • Disk reassign blocks
    • Disk set drive layout
    • Disk set partition info
    • Disk verify
    • Serial lsrmst insert
  • Bewaking I/O-poorten – hiermee beveiligt u de toegang tot LPT- en COM-poorten
HTTP-filters

Zie het hoofdstuk Inhoud filteren.

Opmerking De opties voor HTTP-filters kunt u alleen allemaal selecteren of uitschakelen. Het is niet mogelijk afzonderlijke opties te selecteren.

Opties

Proces starten

Dialoogvenster weergeven wanneer onbekend proces wordt uitgevoerd – als deze functie is ingesteld, kan de gebruiker een nieuwe toepassing zonder de hulp van het beheerprogramma naar een toepassingengroep verplaatsen. Bij het eerste keer starten van een nieuwe toepassing wordt door Secure4U een dialoogvenster weergegeven waarin de gebruiker de toepassingengroep (het beveiligingsniveau) kan kiezen waaraan de toepassing moet worden toegewezen. Er kan worden ingesteld aan welke toepassingengroepen een gebruiker de nieuwe, onbekende toepassing kan toewijzen.

Netwerktoepassingen behandelen als niet beperkte toepassingen – alle toepassingen die worden uitgevoerd vanaf andere computers in een lokaal netwerk worden beschouwd als niet-beperkt.

Shell-integratie

Secure4U-menu integreren in contextmenu van Windows Explorer voor uitvoerbare bestanden – deze functie maakt het mogelijk uitvoerbare bestanden in Windows Verkenner te verplaatsen tussen toepassingengroepen van Secure4U zonder dat hiervoor het beheerprogramma nodig is. Als u met de rechtermuisknop op een uitvoerbaar bestand klikt, verschijnt een snelmenu. In dit menu kunt u de nieuwe beveiligingsgroep voor deze toepassing kiezen.


Het menu Beeld

Met de opdrachten in dit menu kunt u de interface van het beheerprogramma aanpassen. U kunt de volgende opdrachten kiezen:

  • Werkbalk

  • Statusbalk

  • Eenvoudige modus

  • Geavanceerde modus

  • Vernieuwen

Schakel deze opdrachten in of uit om de werkbalk of de statusbalk weer te geven of te verbergen, om over te schakelen tussen de eenvoudige modus en de geavanceerde modus en om de weergegeven gegevens te vernieuwen.

Werkbalk

De werkbalk bevat vier pictogrammen. Met het eerste pictogram kunt u een nieuwe toepassingengroep maken. Het tweede pictogram gebruikt u om Secure4U in te schakelen of uit te schakelen. Met het derde pictogram kunt u overschakelen tussen de eenvoudige en geavanceerde modus van het beheerprogramma. Klik op het vierde pictogram om het vak Info weer te geven voor het beheerprogramma.

Statusbalk

De statusbalk staat in de linkerbenedenhoek van het venster en toont de status van elke opdracht in de menu's, de status van Secure4U en van toetsinstellingen (Caps Lock, Num Lock en Scroll Lock).

Eenvoudige modus

Selecteer deze opdracht om het beheerprogramma te gebruiken in de eenvoudige modus.

Geavanceerde modus

Selecteer deze opdracht om het beheerprogramma te gebruiken in de geavanceerde modus.

Vernieuwen

Selecteer deze opdracht om de huidige weergave bij te werken.


Het menu Help

Het menu Help bevat de volgende opdrachten:

  • Help-onderwerpen

  • Secure4U op het web

  • Info

Help-onderwerpen

In de on line Help kunt u zoeken naar een Help-onderwerp. Aanvullende informatie kunt u vinden in deze handleiding of in de sectie met veelgestelde vragen op onze website. U kunt ook rechtstreeks contact met ons opnemen via het e-mailadres support@Secure4U.com. Zie het hoofdstuk Contact opnemen voor meer informatie.

Secure4U op het web

Deze opdracht bestaat uit twee hyperlinks, een naar de introductiepagina van Secure4U en een naar de pagina met veelgestelde vragen over Secure4U.

Info

Hiermee geeft u informatie weer over deze versie van Secure4U.


Eenvoudige modus

De eenvoudige modus biedt een interface voor onderdelen van Sandbox & Firewall waarmee u het beveiligingsniveau van de opgenomen, vooraf geconfigureerde toepassingen eenvoudig kunt wijzigen. Het is echter mogelijk dat de relatieve eenvoud van deze modus onvoldoende is voor bepaalde behoeften. Er is daarom ook een geavanceerde modus beschikbaar.

Het venster voor de eenvoudige modus van het beheerprogramma bevat aan de linkerkant drie beheergroepen:

  • Vooraf geconfigureerde toepassingen

  • Toepassingengroepen

  • Mappen


Vooraf geconfigureerde toepassingen

Met dit onderdeel van Secure4U kunt u het beveiligingsniveau voor sommige vooraf gedefinieerde toepassingen wijzigen: Outlook, Outlook Express, Internet Explorer, Netscape Communicator en Lotus Notes. U kunt voor elke vooraf geconfigureerde toepassing een van de volgende beveiligingsniveaus selecteren.

Beveiligingsniveaus

Sterk

Dit is het hoogste beveiligingsniveau. Selecteer dit niveau voor een optimale beveiliging.
Met dit niveau worden andere toepassingen altijd veilig gestart. Dit houdt in dat de niet-beperkte toepassing die wordt gestart de beveiligde omgeving van de beperkte toepassing overneemt. Hierdoor is het mogelijk dat de gestarte toepassing niet tot alle vereiste bronnen toegang heeft.

Er wordt alleen toegang verleend tot een zeer beperkt aantal mappen (bijvoorbeeld Downloads) en registersleutels.

De toegang tot IP-poorten is erg beperkt.

Opmerking Dit kan problemen veroorzaken bij het downloaden van bepaalde websites of wanneer gebruik wordt gemaakt van een firewall. Als dat het geval is, moet u het beveiligingsniveau tijdelijk verlagen. Maak er een regel van alleen toepassingen te downloaden die afkomstig zijn van een vertrouwde bron.

Gemiddeld

Wanneer een niet-beperkte toepassing wordt gestart door een andere toepassing, wordt de beveiligde omgeving van de beperkte toepassing niet overgenomen. Leestoegang tot bestanden, uitgezonderd mappen met vertrouwelijke gegevens. Schrijftoegang tot een zeer beperkt aantal mappen (zoals Downloads).
Leestoegang voor het register, met uitzondering van bepaalde items.
Een minder strikte beveiliging van IP-poorten.

Zwak

Volledige toegang tot bestanden, uitgezonderd mappen met vertrouwelijke gegevens, gegevens voor gevaarlijke apparaten en systeemmappen.
Volledige toegang tot het register, uitgezonderd een paar items die alleen-lezen zijn.

Geen

Geen beperkingen voor de toepassing. Het is raadzaam dit niveau alleen tijdelijk te gebruiken.

Als u de nieuwe instellingen wilt toepassen, klikt u op de knop Beveiligingsniveau wijzigen.

De beveiliging van elk niveau is afhankelijk van de instelling in een vooraf gedefinieerde database. Als u de toegangsrechten van een vooraf geconfigureerde toepassing wilt wijzigen, moet u de geavanceerde modus activeren.


Toepassingengroepen

Selecteer Toepassingengroepen in het deelvenster aan de linkerkant om het volgende venster weer te geven. In dit venster kunt u het beveiligingsniveau voor bekende toepassingen instellen. De beveiligingsniveaus zijn hetzelfde als de niveaus voor vooraf geconfigureerde toepassingen.

Opmerking Aangezien de beveiligingsniveaus vast staan, werkt een toepassing mogelijk niet goed wanneer deze is beperkt. Als de toepassing andere toegangsrechten nodig heeft, kunt u dit instellen in de geavanceerde modus.

Middelste deelvenster

Het middelste deelvenster bevat vier groepen toepassingen. Elk van deze groepen vertegenwoordigt een vooraf geconfigureerd beveiligingsniveau:

  • Niet-beperkt

  • Zwak beperkt

  • Gemiddeld beperkt

  • Sterk beperkt

Tijdens de installatie wordt gecontroleerd welke toepassingen zijn geïnstalleerd op de computer (behalve de vooraf geconfigureerde toepassingen) en worden deze toegevoegd aan de groep met niet-beperkte toepassingen.
Als u met de rechtermuisknop op de groep Niet-beperkte toepassingen klikt, verschijnt een snelmenu met de opdrachten Alle uitvoerbare bestanden op lokale stations toevoegen, Eén toepassing toevoegen of Substructuur toevoegen (alle uitvoerbare bestanden in de map). Kies de gewenste opdracht om een of meer toepassingen toe te voegen aan de groep.

Alle onbekende toepassingen die na de installatie van Secure4U worden toegevoegd aan de computer (zoals uitvoerbare bestanden die zijn gedownload van het Internet of die zijn ontvangen per e-mail) worden automatisch opgenomen in de groep Zwaar beperkte toepassingen. Vervolgens kunnen ze aan een van de bovenstaande beveiligingsniveaus worden gekoppeld .

Wanneer u met de rechtermuisknop op de groep Zwaar beperkte toepassingen klikt, kunt u op alle lokale stations zoeken naar onbekende toepassingen.

Deelvenster in rechterbovenhoek

Dit deelvenster wordt alleen weergegeven wanneer de groep met niet-beperkte toepassingen is geselecteerd en de mapstructuur wordt weergegeven.

Als u met de rechtermuisknop op een geselecteerde map klikt, verschijnt een snelmenu. In dit menu kunt u de opdrachten Alle toepassingen in map toevoegen, Alle toepassingen in substructuur toevoegen, Alle toepassingen in geselecteerde map of substructuur verwijderen en Eén toepassing toevoegen kiezen.

Deelvenster in rechterbenedenhoek

In het onderste deelvenster kunt u alle toepassingen in de geselecteerde groep of map bekijken.

Klik met de rechtermuisknop op een toepassing om deze naar een andere groep in het snelmenu te verplaatsen. U kunt de geselecteerde toepassing ook met slepen en neerzetten naar de gewenste groep in het middelste deelvenster verplaatsen.


Mappen

Met dit onderdeel kunt u instellen welke mappen toegankelijk zijn voor een beperkte toepassing. U kunt hier de (onbeveiligde) mappen selecteren die kunnen worden gebruikt voor het opslaan van gegevens van het Internet. Gebruik dit onderdeel verder om de (vertrouwelijke) mappen op te geven die niet toegankelijk zijn voor beperkte toepassingen. Selecteer Mappen in het linkerdeelvenster om het volgende venster weer te geven:

Deelvenster | Toegang | Toelichting
Onbeveiligde mappen | Alle toepassingen | Alle toepassingen op het werkstation hebben toegang tot deze mappen. Het is raadzaam alleen mappen zonder belangrijke gegevens toe te voegen aan deze mappen, bijvoorbeeld mappen voor tijdelijk gebruik.
Vertrouwelijke mappen | Alleen niet-beperkte toepassingen | Alleen niet-beperkte toepassingen hebben toegang tot deze mappen.

De toegang tot alle andere mappen is afhankelijk van de instelling in de database (Sterk tot Geen) die is opgegeven voor een beperkte toepassing.

Opmerking Deze mappen worden ingesteld tijdens het installatieproces. Het is mogelijk de onbeveiligde of vertrouwelijke mappen uit te breiden met andere mappen.

Mappen toevoegen en verwijderen

U kunt een map toevoegen aan de onbeveiligde of vertrouwelijke map door op Toevoegen te klikken in de rechterbovenhoek van het gewenste mapdeelvenster. Selecteer een map en klik op Verwijderen om de map en eventuele bestanden in de map te verwijderen uit het deelvenster.

TIP Als u gegevens in een vertrouwelijke map hebt staan die toegankelijk moeten zijn voor een vertrouwde, beperkte toepassing, is het beter de toepassing te verplaatsen naar de groep Niet-beperkte toepassingen en vervolgens de map toegankelijk te maken in plaats van de map te verplaatsen tussen de vertrouwelijke en onbeveiligde mappen. In dat geval heeft namelijk geen enkele toepassing toegang tot de map.


Geavanceerde modus

In de geavanceerde modus beschikt u over een interface waarin u de toegangsrechten van alle toepassingen op het werkstation kunt configureren.

Het venster voor de geavanceerde modus van het beheerprogramma bevat aan de linkerkant zeven beheergroepen:

  • Toepassingengroepen
  • Systeem
  • Bestandsbeveiliging
  • Registerbeveiliging
  • Firewall
  • Viruscontrole
  • Leermodus


Toepassingengroepen

Het onderdeel Toepassingengroepen in de geavanceerde modus is vergelijkbaar met het gelijknamige onderdeel in de Eenvoudige modus

Naast de vooraf ingestelde beveiligingsniveaus, kunt u afzonderlijke groepen maken voor alle beperkte toepassingen.

De groepen met geconfigureerde toepassingen kunnen worden onderverdeeld in verschillende categorieën. De groepen in de eerste categorie hebben verschillende beveiligingsniveaus (niet-beperkt, zwak, gemiddeld, zwaar beperkt).

De groepen in de tweede categorie zijn speciaal ontwikkeld voor veelgebruikte toepassingen zoals Outlook, Internet Explorer en Netscape.

De groepen in de derde categorie zijn ontwikkeld voor speciale doeleinden: MS-DOS-toepassingen (alleen beschikbaar in Windows NT/2000; bevat alle locaties van 16-bits toepassingen), Visual Basic- en Java-scripts, Niet-beperkt en vrij te starten (de toepassing zelf wordt gestart als een niet-beperkte toepassing die onafhankelijk is van de aanroepende toepassing ). Alle toepassingen die worden gestart door een toepassing in de groep Installatietoepassingen hebben hetzelfde beveiligingsniveau als de aanroepende toepassing. Vertrouwde toepassingen moet u opnemen in deze groep, aangezien dit type toepassing onbeperkte toegang moet hebben.

Opmerking Voor de groepen Installatietoepassingen en Niet-beperkt en vrij te starten, zijn alle beveiligingsonderdelen uitgeschakeld. Dit kan echter worden aangepast. Zie voor meer informatie Uitvoeringsinstellingen .

Een toepassingengroep maken

Als u een nieuwe toepassingengroep wilt maken, kiest u Nieuwe toepassingengroep maken in het menu Bewerken of klikt u met de rechtermuisknop op een bestaande toepassingengroep en kiest u deze opdracht in het snelmenu dat verschijnt. Het volgende venster wordt weergegeven:

Voer de aangepaste naam van de toepassingengroep in, bijvoorbeeld Office, en geef aan of het om een beperkte of niet-beperkte groep gaat. U kunt de configuratie van de toepassingengroep desgewenst later aanpassen. Het volgende venster verschijnt nadat u op Volgende hebt geklikt

U kunt een of meer toepassingen toevoegen aan de toepassingengroep door op Toevoegen te klikken in de rechterbovenhoek van het deelvenster. Als u een toepassing wilt verwijderen uit het deelvenster en de groep, selecteert u de toepassing en klikt u op Verwijderen. Klik vervolgens op Voltooien. Het venster Toepassingengroepen kan er zo uitzien nadat u een nieuwe toepassingengroep met de naam Office hebt gemaakt en hieraan de toepassing WinWord hebt toegevoegd.

In het Secure4U-beheerprogramma kunt u de naam van een toepassingengroep wijzigen in het onderdeel Toepassingengroepen door de gewenste groep te selecteren en op F2 te drukken of door te dubbelklikken op de gewenste groep. U kunt niet voor alle toepassingengroepen een andere naam instellen.

Een toepassing toevoegen

Als u met de rechtermuisknop op een van de toepassingen in het rechterdeelvenster klikt, kunt u een andere toepassing toevoegen aan de groep of de geselecteerde groep naar een andere groep verplaatsen.

Opmerking Als u een toepassing uit een verborgen share wilt toevoegen, moet u Eén toepassing toevoegen kiezen en het pad handmatig invullen.

U kunt een toepassingengroep verwijderen door met de rechtermuisknop op de gewenste groep te klikken.

Opmerking Als u een toepassingengroep verwijdert, worden alle toepassingen in de groep beschouwd als zwaar beperkte (onbekende) toepassingen. Het is dan ook vaak beter de toepassingen eerst naar een andere groep te verplaatsen.

Bovenste deelvenster

Dit deelvenster in de rechterbovenhoek wordt alleen weergegeven wanneer de groep Niet-beperkte toepassingen is geselecteerd en de mapstructuur wordt weergegeven.

Klik met de rechtermuisknop op een geselecteerde map om een snelmenu met opties voor de map weer te geven. In dit menu kunt u de opdrachten Alle toepassingen in map toevoegen, Alle toepassingen in substructuur toevoegen en Alle toepassingen in geselecteerde map of substructuur verwijderen kiezen. De laatste opdracht heeft tot gevolg dat de toepassingen zwaar beperkte toepassingen worden.

Onderste deelvenster

In het onderste deelvenster kunt u alle toepassingen in de geselecteerde groep of map bekijken.

Klik met de rechtermuisknop op een toepassing om deze naar een andere groep in het snelmenu te verplaatsen. U kunt de geselecteerde toepassing ook met slepen en neerzetten naar de gewenste groep in het middelste deelvenster verplaatsen.


Systeem

Met dit configuratieonderdeel kunt u toegangsrechten voor hoofdonderdelen en –functies van het systeem (zoals het recht om het systeem af te sluiten) weergeven en instellen. Verder kunt u beperkingen instellen voor het brongebruik door toepassingen met betrekking tot het aantal vensters en de hoeveelheid geheugen die ze kunnen gebruiken.

De systeemconfiguratie kunt u instellen door Systeem te selecteren in het linkerdeelvenster. In het middelste deelvenster ziet u drie vertakkingen: Services (niet beschikbaar voor Windows 9x), Processen en Diversen .


Services

Als u toegangsrechten wilt instellen voor services, selecteert u Services in het middelste deelvenster. In het deelvenster aan de rechterkant worden dan de instellingen voor de geselecteerde toepassingengroep weergegeven.

Toegangsopties

U kunt in het bovenste gedeelte van het rechterdeelvenster een keuze maken uit vier verschillende soorten toegangsrechten:

· Vrije, niet-beperkte toegang

Met dit type toegangsrecht wordt standaard onbeperkte toegang verleend tot alle objecten binnen het bestandssysteem of tot het geselecteerde station.

· Alleen lezen

Met dit type toegangsrecht wordt standaard toegang voor alleen lezen verleend tot alle objecten binnen het bestandssysteem of tot het geselecteerde station.

· Geen toegang

Met dit type toegangsrecht wordt standaard geen toegang verleend tot alle objecten binnen het bestandssysteem of tot het geselecteerde station.

· Aangepaste toegang

Met dit type toegangsrecht kunt u toegangsrechten en Secure4U-acties zeer gedetailleerd instellen door verschillende toegangsrechten en Secure4U-activiteiten samen te voegen tot een aangepast toegangstype . Het onderste gedeelte van het dialoogvenster bevat drie tabbladen waarop u acties kunt in- en uitschakelen voor toegang, controleren en gebruiker vragen.

Het groepsvak bevat alle beschikbare opties voor de drie tabbladen. Deze instellingen zijn gebaseerd op de instellingen die in Windows NT/2000 worden gebruikt voor de toegangsbeveiliging van objecten. Op het tabblad toegang kunt u toegangsbeperkingen instellen om aan te geven of en hoe een beperkte toepassing een object kan gebruiken . Op het tabblad controleren kunt u de acties selecteren die moeten worden weergegeven in het Activiteitenvenster. Daarnaast kunt u op het tabblad gebruiker vragen het gewenste interactiviteitsniveau instellen, ofwel de acties waarvoor Secure4U een bevestiging vraagt voordat een activiteit wordt uitgevoerd (zoals het uitvoeren van een verzoek voor toegang tot een bepaald object).

Opmerking In Windows 9x/ME is de functie gebruiker vragen niet altijd beschikbaar voor alle objecten.

Met de selectievakjes aan de rechterkant van het deelvenster kunt u aangeven hoe de bestandsbeperkingen worden toegepast: van beneden naar boven of van boven naar beneden in de bestandsstructuur.

  • Machtigingen van bovenliggend niveau overnemen

Het object heeft dezelfde beveiligingsmachtigingen als het bovenliggende niveau. Als u de beveiligingsinstelling van het bovenliggende niveau wijzigt, worden de beveiligingsmachtigingen van het object eveneens gewijzigd.

  • Machtigingen op subobjecten vervangen
    • Overnemen van bovenliggend niveau forceren

Alle machtigingen voor de substructuur worden vervangen door de beveiligingsinstellingen van het bovenliggende niveau en de vlag Machtigingen van bovenliggend niveau overnemen wordt ingesteld.

    • Eigen expliciete machtigingen maken

Met deze instelling wordt afgedwongen dat de beveiligingsmachtigingen van het bovenliggende niveau niet worden overgenomen door alle subobjecten (alleen op het eerstvolgende lagere niveau). Als de beveiligingsmachtigingen op dit moment dus hetzelfde zijn als die op het bovenliggende niveau en u de beveiligingsinstelling op dat niveau wijzigt, blijven de substructuurmachtigingen van bestaande objecten ongewijzigd wanneer expliciete machtigingen worden gemaakt voor deze objecten.

Kleuren van mappen en stersymbool

De verschillende kleuren voor elke map geven het ingestelde toegangstype aan.

Kleur

Toegang

Rood

Geen toegang

Blauw

Alleen lezen

Geel

Volledig

Oranje

Aangepast

Het kleine rechthoekje op een mappictogram geeft aan dat een map/registersleutel geen beveiligingsinstellingen overneemt van de bovenliggende map of registersleutel.

Het kleine sterretje geeft aan dat ergens in de map- of registersubstructuur een klein rechthoekje wordt weergegeven. Dit houdt in dat sommige of alle bestanden of mappen in de substructuur andere instellingen hebben dan dit specifieke object.

Opmerking Klik op Instellen om de nieuwe instellingen toe te passen. Alle wijzigingen in de toegangsbeperkingen worden direct doorgevoerd na een wijziging.

Controleren

In Secure4U kunt u voor elk object het gewenste controleniveau instellen. Dit niveau bepaalt wat er moet gebeuren met de gecontroleerde toegangsbewerkingen (bijvoorbeeld weergeven in het Activiteitenvenster of wegschrijven naar een logboek). Hoe hoger de waarde, des te meer controlegegevens worden vastgelegd. Zie voor meer informatie het hoofdstuk Controleren in De Menu's.

Toegangsrechten

Onder in het deelvenster staan drie tabbladen: toegang, controleren en gebruiker vragen. Op het tabblad toegang kunt u toegangsbeperkingen instellen om aan te geven of en hoe een beperkte toepassing een service kan gebruiken . Op het tabblad controleren kunt u de acties selecteren die moeten worden gecontroleerd. Het controleniveau bepaalt wat er gebeurt met de gecontroleerde gebeurtenissen (bijvoorbeeld weergeven in het Activiteitenvenster of wegschrijven naar een logboek). Daarnaast kan op het tabblad gebruiker vragen het interactiviteitsniveau worden ingesteld. Met andere woorden, de acties waarvoor Secure4U een bevestiging vraagt voordat een activiteit wordt uitgevoerd (zie voor meer informatie het hoofdstuk Waarschuwing van Secure4U).

Klik op de vlaggen om te schakelen tussen wel en geen toegang voor de toepassingengroep.

Opmerking Klik op Instellen om de nieuwe instellingen toe te passen.

De zeven toegangsbewerkingen voor services zijn:

  • Servicestatus opvragen
  • Service starten
  • Service stoppen
  • Service verwijderen
  • Service openen
  • Service installeren
  • Service regelen


Processen

Procesconfiguratie is vergelijkbaar met bestandsconfiguratie. Het deelvenster aan de rechterkant werkt op ongeveer dezelfde manier zoals beschreven in het gedeelte Toegangsopties.

Starten

Starten houdt hier in dat de toepassing die door een andere toepassing is gestart de beveiligde omgeving van die toepassing overneemt. Bijvoorbeeld: In Outlook (de toepassing die een andere toepassing start) hebt u een e-mail ontvangen met een Word-document als bijlage. Als u besluit de bijlage te openen, wordt het programma Microsoft Word aangeroepen door Outlook en wordt de bijlage naar Word verzonden. Microsoft Word is dan de toepassing die door een andere toepassing is gestart.

De toegangsbewerkingen voor het starten van andere toepassingen zijn:

  • DOS-programma starten

  • Opdrachtverwerker starten

  • Niet-herkend proces starten (toepassing kan niet worden gevonden)

  • Zwaar beperkte toepassingen starten (bijvoorbeeld starten van onbekende toepassing)

  • Beperkte Windows-toepassingen starten

  • Niet-beperkte Windows-toepassingen starten (de toegangsrechten van de beperkte toepassing worden overgenomen door de niet-beperkte toepassing)

  • Niet-beperkte toepassingen onbeveiligd starten (niet-beperkte toepassingen worden gestart zonder dat ze de beveiligde omgeving overnemen)

Proces/thread-beëindiging forceren

Als deze optie is ingesteld, wordt het manipuleren van threads en processenvoor de geselecteerde toepassingengroep beperkt volgens het ingestelde beleid .

Opmerking Wijzigingen in de toegangsrechten kunnen problemen veroorzaken met de toepassingen die u beperkt. Een toepassing kan niet worden uitgevoerd als te veel beperkingen zijn ingesteld.


Diversen

De toegangsrechten uit de categorie Diversen worden op dezelfde manier ingesteld als de rechten voor services. Selecteer Diversen in het middelste deelvenster van het beheerprogramma om de toegangsrechten van de geselecteerde toepassingengroep weer te geven in het rechterdeelvenster.

Er zijn zeven toegangstypen beschikbaar voor de geselecteerde toepassingengroepen. Als u een instelling voor een toegangstype wilt wijzigen, klikt u met de rechtermuisknop en kiest u de gewenste actie in het snelmenu.

Instelling | Secure4U-activiteit
Toestaan | Alle toegang is toegestaan
Controleren | Alle aangevraagde toegang van dit type wordt gecontroleerd
Gebruiker vragen | De gebruiker moet aangeven of toegang al dan niet is toegestaan
Verhinderen | Alle aanvragen voor toegang worden automatisch geblokkeerd en gecontroleerd

Naast deze zeven toegangstypen, kunt u een limiet voor het geheugen en het aantal vensters instellen.

Systeem afsluiten

Als deze optie is ingesteld op Verhinderen, zijn aanvragen voor het afsluiten van het systeem niet toegestaan voor de geselecteerde toepassing.

Toegang tot systeem op laag niveau

Als deze optie is ingesteld op Verhinderen, zijn voor de geselecteerde toepassing verschillende ongebruikelijke toepassingsaanvragen niet toegestaan.

De volgende functies zijn niet toegestaan als deze optie is ingesteld voor een toepassing:

  • AdjustTokenPrivileges
  • SetFileSecurity
  • SetKernelObjectSecurity
  • SetServiceObjectSecurity
  • SetSecurityInfo
  • SetNamedSecurityInfo
  • SetUserObjectSecurity
  • CreateProcessAsUser
  • CreateProcessWithLogonW
  • SHCreateProcessAsUserW

De volgende functies zijn niet toegestaan als deze optie is ingesteld EN als de functie moet worden uitgevoerd in een ander proces dan het aanroepende proces:

  • WriteProcessMemory
  • CreateRemoteThread
  • VirtualAllocEx
  • VirtualProtectEx

Toegang gevaarlijk apparaat

Als deze optie is ingesteld op Verhinderen, zijn toegangsrechtaanvragen (bijvoorbeeld voor het opnieuw formatteren van de vaste schijf) niet toegestaan voor de geselecteerde toepassing.

De volgende toegangsbewerkingen zijn dan geblokkeerd:

  • Dismount volume
  • Lock volume
  • Set compression
  • Unlock volume
  • Disk eject media
  • Disk format tracks
  • Disk load media
  • Disk media removal
  • Disk reassign blocks
  • Disk set drive layout
  • Disk set partition info
  • Disk verify
  • Serial lsrmst insert

Toetsaanslagen simuleren

Met deze optie kan worden voorkomen dat een toepassing toetsaanslagen simuleert om zo destructieve acties op de computer uit te voeren.

Toegang printerpoort (LPT1)

Met deze optie kan worden voorkomen dat vanuit een toepassing toegang tot de printerpoort wordt verkregen. Deze optie is niet beschikbaar voor Windows 9x.

Toegang seriële poort (COM1)

Met deze optie kan worden voorkomen dat vanuit een toepassing toegang tot de seriële poort wordt verkregen . Deze optie is niet beschikbaar voor Windows 9x.

Geheugenlimiet (bytes)

Met deze optie kunt u de hoeveelheid geheugen instellen die door de geselecteerde toepassing kan worden gebruikt. De ingevoerde waarde is het aantal bytes dat door de toepassing kan worden toegewezen voordat verdere aanvragen van de toepassing voor geheugentoewijzing worden geweigerd door Secure4U.

Door een geheugenlimiet in te stellen voor een toepassing kunt u het systeem beschermen tegen verschillende soorten 'denial of service'-aanvallen.

Maximaal aantal vensters

Met deze beveiligingsoptie kunt u het aantal vensters beperken dat tegelijkertijd kan worden geopend door de geselecteerde toepassing. De ingevoerde waarde is het aantal vensters of besturingselementen dat door de toepassing kan worden geopend voordat verdere aanvragen van de toepassing voor het openen van nieuwe vensters worden geweigerd door Secure4U.

Door een vensterlimiet in te stellen voor een toepassing kunt u het systeem beschermen tegen verschillende soorten 'denial of service'-aanvallen.

Wijzigingen of instellingen activeren

Instellingen voor geheugen- en vensterlimieten worden actief nadat de desbetreffende toepassing opnieuw is gestart.

Opmerking Klik op Instellen om de nieuwe instellingen toe te passen.


Bestandsbeveiliging

Met dit configuratieonderdeel kunt u voor alle beperkte en onbekende toepassingen toegangsrechten voor het bestandssysteem weergeven en instellen . Op systemen met Windows 9x kunt u bestandsbeveiliging instellen die compatibel is met de bestandsbeveiliging van Windows NT/2000 .

De configuratie van het onderdeel Bestandsbeveiliging kunt u instellen door Bestandsbeveiliging te selecteren in het linkerdeelvenster. De lokale bestanden op het werkstation worden weergegeven in het middelste deelvenster.

Als u alle bestanden in de stations/mappen wilt weergeven, klikt u met de rechtermuisknop op Stations in het middelste venster en kiest u Bestandsbeperkingen weergeven in het snelmenu.

Opmerking Als u de toegang tot een bepaalde computer wijzigt, heeft dit ook invloed op de verborgen shares die niet worden weergegeven.

Toegangsrechten voor bestanden instellen

Secure4U bevat standaard vooraf geconfigureerde standaardinstellingen voor bepaalde toepassingen. Deze standaardinstellingen voor toegangsrechten worden gebruikt wanneer geen aangepaste toegangsrechten zijn ingesteld voor een toepassing. Volg de onderstaande stappen om de toegangsrechten voor een toepassing of toepassingengroep te wijzigen .

Selecteer in de lokale configuratievertakking van de configuratiestructuur het onderdeel Bestanden om een scherm weer te geven dat er ongeveer zo uitziet:

De mapstructuur wordt weergegeven in het middelste deelvenster. Selecteer een map of bestand om in het deelvenster aan de rechterkant de toegangsrechtbeperkingen weer te geven die voor de geselecteerde toepassingengroep zijn ingesteld voor de map of het bestand.

Dit proces is vergelijkbaar met bestandsconfiguratie.

Het deelvenster aan de rechterkant werkt op ongeveer dezelfde manier zoals beschreven in het gedeelte Toegangsopties.

Windows-beveiligingsvlaggen

De geconfigureerde kenmerken komen overeen met beveiligingsvlaggen van Windows NT.

  • Volledige controle = alle onderstaande toegangsbewerkingen
  • Lezen – weergeven van de gegevens, kenmerken, eigenaar en machtigingen van het bestand
  • Schrijven – schrijven naar het bestand, toevoegen aan het bestand en lezen of wijzigen van de bestandskenmerken
  • Uitvoeren – uitvoeren van een toepassing of weergeven van een mapoverzicht
  • Bestandsgegevens lezen
  • Bestandsgegevens schrijven
  • Verwijderen – pogingen tot verwijderen
  • Gegevens toevoegen – aan een bestand of een bestand aan een map
  • Uitgebreide kenmerken lezen
  • Uitgebreide kenmerken schrijven
  • Bestand uitvoeren
  • Onderliggend niveau verwijderen
  • Leeskenmerken
  • Leescontrole – pogingen tot het lezen van beveiligingsgegevens
  • DAC schrijven – pogingen tot het wijzigen van de DAC (discretionary access control)-lijst
  • Eigenaar schrijven – eigenaar van het object wijzigen
  • Synchroniseren – gebruik van synchronisatiefuncties toestaan voor dit object


Registerbeveiliging

Met dit configuratieonderdeel van Secure4U kunt u voor alle toepassingen toegangsrechten voor de registerdatabase bekijken en instellen . Op systemen met Windows 9x kunt u registerbeveiliging instellen die compatibel is met de registerbeveiliging van Windows NT/2000.

De configuratie van het onderdeel Registerbeveiliging kunt u instellen door Registerbeveiliging te selecteren in het linkerdeelvenster. Het register op het werkstation wordt weergegeven in het middelste deelvenster.

Opmerking Als u alle registerwaarden in het register wilt weergeven, klikt u met de rechtermuisknop op Register in het middelste venster en kiest u Waardebeperkingen weergeven in het snelmenu.

Toegangsrechten voor het register instellen

De opties voor de beveiligingsinstellingen voor het register zijn vergelijkbaar met die voor bestandsbeveiliging en worden ook op dezelfde manier ingesteld. Secure4U bevat standaard vooraf geconfigureerde standaardinstellingen voor bepaalde toepassingen. De standaardinstellingen voor toegangsrechten worden gebruikt wanneer geen aangepaste toegangsrechten zijn ingesteld voor een toepassing. Volg de onderstaande stappen om de toegangsrechten voor het register te wijzigen voor een toepassing: .

Selecteer in de lokale configuratievertakking van de configuratiestructuur het onderdeel Register om een scherm weer te geven dat er ongeveer zo uitziet.

De registerstructuur wordt weergegeven in het middelste deelvenster. Selecteer een registersleutel of –waarde om de toegangsrechtbeperkingen voor de geselecteerde toepassingengroep weer te geven.

Het configuratieproces is bijna hetzelfde als bij bestandsbeveiliging.

Het deelvenster aan de rechterkant werkt op ongeveer dezelfde manier zoals beschreven in het gedeelte Toegangsopties.


Firewall

Secure4U bevat twee onderdelen voor het instellen van een persoonlijke firewall. Hierdoor kunt u per toepassing toegangsrechten instellen voor het gebruik van IP-poorten en IP-adressen.


IP-poorten

De standaardtoegangsrechten van Secure4U voor beperkte toepassingen zijn zo opgebouwd dat geen toegang mogelijk is tot de IP-poorten. De toegangsrechten tot IP-poorten die niet zichtbaar zijn in het beheerprogramma worden overgenomen van de IP-poort op het hoogste niveau (IP-poorten in de structuur). Deze poort is standaard niet toegankelijk. Volg de onderstaande stappen om de instelling te wijzigen voor een of meer beperkte toepassingen.

Selecteer IP-poorten in het middelste deelvenster. Dubbelklik op IP-poorten om het aantal vooraf geconfigureerde poorten weer te geven. De beperkingen voor de geselecteerde toepassingengroep worden in het deelvenster aan de rechterkant weergegeven.

Toegangsopties

U kunt voor de geselecteerde toepassingengroep een van de volgende toegangsopties instellen voor IP-poorten:

· Vrije, niet-beperkte toegang

Met deze optie heeft de geselecteerde toepassing volledige toegang tot de IP-poorten. Aanvragen van deze toepassing worden automatisch doorgegeven door Secure4U en er worden geen berichten weergegeven.

· Alleen uitgaand

De toepassing kan verbinding maken met de IP-poort op een externe computer, maar de eigen IP-poort kan niet beschikbaar worden gesteld op het netwerk.

· Geen toegang

Als deze optie is geselecteerd, worden alle aanvragen voor toegang tot poorten automatisch geweigerd en gecontroleerd voor de geselecteerde toepassing(en).

· Aangepaste toegang

Het instellen van opties op de tabbladen toegang, controleren en gebruiker vragen gaat op dezelfde manier als bij bestandsbeveiliging. Uitgaand – hier kunt u beveiliging instellen voor het verbinden met een poort op een andere computer. Binnenkomend – hier kunt u beveiliging instellen voor poorten die door deze toepassing beschikbaar zijn gesteld voor toegang door andere computers.

Controleniveau

U kunt per poort het controleniveau instellen. Zie voor meer informatie het gedeelte Controleren in De Menu's.

Opmerking Klik op Instellen om de nieuwe instellingen toe te passen. Alle wijzigingen in de beperkingen voor IP-poorten worden direct doorgevoerd na een wijziging.

Een vermelding voor een IP-poort toevoegen

U kunt in Secure4U één IP-poort of een bereik van IP-poorten toevoegen en hiervoor beperkingen van de toegangsrechten instellen. Als u een vermelding voor een poortnummer wilt toevoegen, klikt u met de rechtermuisknop op IP-poorten boven aan de structuur in het middelste deelvenster.

Er wordt een snelmenu met twee opties weergegeven: Eén poort toevoegen en Bereik van poorten toevoegen. Kies de gewenste optie in het snelmenu. Er wordt een dialoogvenster weergegeven waarin u het poortnummer voor de nieuwe poort of het poortbereik kunt opgeven.

Klik op Toevoegen om de instellingen te bevestigen en de nieuwe poort of het poortbereik toe te voegen aan de structuur.

U kunt nu voor alle beperkte toepassingengroepen specifieke toegangsrechten voor deze IP-poort instellen.

Een vermelding voor een IP-poort verwijderen

Het is ook mogelijk een bepaalde IP-poort of een bereik van IP-poorten te verwijderen. Klik met de rechtermuisknop op de gewenste poort om een snelmenu met onder andere de opdracht Expliciete beperkingen verwijderen weer te geven. Kies deze opdracht om de IP-poort te verwijderen.


I P-adressen

U kunt de toegang van een gebruiker tot bepaalde IP-adressen beperken door bereiken van IP-adressen in te stellen in Secure4U.

Volg de onderstaande stappen om de instelling te wijzigen voor een of meer beperkte toepassingen.

Selecteer IP-adres in het middelste deelvenster. De beperkingen voor de geselecteerde toepassingengroep worden in het deelvenster aan de rechterkant weergegeven.

Klik met de rechtermuisknop op IP-adressen om een snelmenu met twee opties weer te geven: Bereik van adressen toevoegen en Alle bereiken verwijderen.

Bereik van adressen toevoegen

Het volgende dialoogvenster verschijnt wanneer u Bereik van adressen toevoegen kiest:

In dit venster kunt u het gewenste bereik van IP-adressen invoeren of u kunt Hostnaam selecteren als Secure4U het juiste IP-adres moet ophalen van het Internet. (Dit is uiteraard alleen mogelijk als het werkstation al toegang heeft tot het Internet.)

U kunt voor de geselecteerde toepassingengroep een van de volgende toegangsopties instellen voor IP-adressen: Alle toegang toestaan, Toegang controleren, Gebruiker interactief om toegang vragen en Onvoorwaardelijk alle toegang verhinderen. Deze opties zijn vergelijkbaar met de opties beschreven in het gedeelte Diversen.

U kunt ook het controleniveau instellen. Zie voor meer informatie het gedeelte Controleren in De Menu's.

Alle bereiken verwijderen

In deze versie is het alleen mogelijk alle IP-bereiken tegelijkertijd te verwijderen.

Opmerking Alle wijzigingen voor dit configuratieonderdeel van Secure4U worden direct doorgevoerd.


Viruscontrole

Secure4U biedt bescherming tegen kwaadaardige mobiele code of “moderne virussen”. Deze toepassingen kunnen veel meer schade veroorzaken dan traditionele virussen. Voorbeelden van moderne virussen zijn I Love You en Back Orifice. Secure4U beheert de toegangsrechten van een bepaalde toepassing. Hierdoor is het niet mogelijk bescherming te bieden tegen een virus dat bestanden “binnen” de toepassing beschadigt, bijvoorbeeld een virus dat alleen Word-bestanden “binnen” de toepassing WinWord infecteert. U moet daarom naast Secure4U altijd een traditionele virusscanner gebruiken . Als Secure4U op de juiste manier is ingesteld, worden opdrachtregelparameters gebruikt om te communiceren met de virusscanner op uw werkstation. U kunt dit instellen op uw computer door te klikken op het pictogram Viruscontrole in het linkerdeelvenster van het beheerprogramma. Het onderstaande deelvenster wordt dan weergegeven.

Zoeken naar geïnstalleerde virusscanners

Tijdens de installatie wordt het volledige bestandssysteem doorzocht op geïnstalleerde virusscanners die kunnen worden gebruikt door Secure4U.

Selecteren van een virusscanner

De lijst bevat alle virusscanners die vooraf zijn geconfigureerd voor Secure4U.

Secure4U biedt ondersteuning voor alle populaire virusscanners. Op de support-pagina van de website van Secure4U (http://www.Secure4U.com/Support/) staat een lijst van virusscanners die samen met Secure4U kunnen worden gebruikt voor automatische viruscontrole van binnenkomende documenten, onderdelen en archieven.

Het is ook mogelijk door de gebruiker gedefinieerde virusscanners te gebruiken door opdrachtregelparameters op te geven (zie hieronder).

Opmerking U hoeft Secure4U niet samen met een virusscanner te gebruiken. U kunt een virusscanner ook los van Secure4U gebruiken, en omgekeerd natuurlijk.

De virusscanners die vooraf zijn geconfigureerd in Secure4U, maar die niet zijn gevonden op uw computer worden lichter gekleurd weergegeven in de lijst van beschikbare virusscanners.

Wanneer u met de rechtermuisknop op een van de virusscanners in de lijst klikt, verschijnt een snelmenu met de volgende opties:

Nieuwe viruscontrole toevoegen

Geselecteerde configuratie verwijderen

Eigenschappen

Test uitvoeren

Configureren van een virusscanner

Als u de opdracht Eigenschappen kiest in het snelmenu, wordt een dialoogvenster weergegeven dat er ongeveer zo uitziet (afhankelijk van de geselecteerde virusscanner):

In dit dialoogvenster kunt u parameters bekijken en wijzigen die worden gebruikt bij het aanroepen van de desbetreffende virusscanner .

Aangepaste virusscanner definiëren

Als de geïnstalleerde virusscanner moet worden aangeroepen met andere parameters of als u een nieuwe virusscanner wilt toevoegen, kiest u Nieuwe viruscontrole toevoegen in het snelmenu.

Opmerking U kunt alleen scanners toevoegen die kunnen worden uitgevoerd met behulp van opdrachtregelparameters. Verder moet de virusscanner een retourwaarde terugsturen naar Secure4U waarin de status van de gecontroleerde bestanden wordt vermeld.

Er verschijnt een dialoogvenster waarin u de parameters kunt opgeven die worden gebruikt door de virusscanner. Als u niet weet welke parameters worden gebruikt door uw virusscanner, neemt u contact op met de fabrikant of leverancier van de scanner.

Opmerking De wijzigingen worden direct doorgevoerd.


Leermodus

In de leermodus kunt u beveiligingsgroepen voor nieuwe toepassingen maken. Als de leermodus is gestart, worden alle verzoeken en aanvragen voor het register, bestanden, poorten, enzovoort, vastgelegd.

U kunt de leermodus alleen gebruiken als u eerst de naam opgeeft van de toepassingengroep die u wilt maken. Vervolgens selecteert u de groep en start u de leermodus.

Tijdens de leermodus moet u alle acties uitvoeren die u in de toekomst met de toepassing wilt gaan uitvoeren. Klik op Stoppen om de leermodus af te sluiten.

Als de leermodus is voltooid, wordt u gevraagd of u een nieuwe groep wilt maken. Controleer vervolgens de instellingen van de groep. Hoe langer de leermodus actief is, des te efficiënter het resultaat.

Opmerking In deze versie worden tijdens de leermodus alleen toegangsbewerkingen voor een bepaald bestand geregistreerd. Het is daarom raadzaam na het beëindigen van de leermodus schrijftoegang tot een map in te stellen in het onderdeel Bestandsbeveiliging.

Opmerking In de submap Leermodus van de installatiemap wordt een tekstbestand met speciale opmaak weggeschreven met informatie over de uitgevoerde leersessie.


Inhoud filteren

Selecteer de balk Inhoud filteren in het linkerdeelvenster van het beheerprogramma om de configuratieopties voor de cache, cookies en filters weer te geven. In het venster worden aan de linkerkant zeven opties weergegeven.

  • Cacheconfiguratie
  • Cache-editor
  • Cookieconfiguratie
  • Cookie-editor
  • Getypte URL's
  • WWW-inhoud filteren
  • E-mail filteren

In de cache worden de HTML- en GIF-bestanden opgeslagen die in de browser worden weergegeven wanneer u bijvoorbeeld een webpagina bekijkt. De inhoud van de cache bestaat uit bestanden die automatisch worden gedownload naar uw computer, samen met alle onderdelen van een webpagina. De regel is dat elk bestand dat binnenkomt op uw computer wordt opgeslagen in een afzonderlijk cachebestand. Als deze bestanden niet regelmatig worden verwijderd, kan de cache veel schijfruimte in beslag nemen op de computer. Daarnaast is het mogelijk Internet-sessies te simuleren via de opgeslagen cachebestanden, wat dus een bedreiging vormt voor uw privacy.

Cookies zijn tekstbestanden, geen programma's, die worden weggeschreven naar de vaste schijf van gebruikers die een website bezoeken. Websites gebruiken cookies om bepaalde gegevens op te slaan, zodat de activiteiten van gebruikers kunnen worden bijgehouden. Aangezien cookies geen uitvoerbare bestanden zijn, kunnen ze zelf geen aanvallen uitvoeren. Het is echter wel mogelijk met behulp van een script of een ActiveX-besturingselement de gegevens in een cookie op te halen en te gebruiken voor onrechtmatige doeleinden. Afgezien van het feit dat dit een inbreuk op uw privacy is, kunnen deze vertrouwelijke gegevens worden gebruikt om bijvoorbeeld uw gedrag op het web te controleren of om wachtwoorden te onderscheppen. Cookies kunnen dus een middel vormen om onrechtmatige handelingen uit te voeren.


Cacheconfiguratie

Met Cachebeheer kunt u instellen dat sessiegegevens automatisch worden verwijderd uit het cachebestand van de browser. In het deelvenster Cacheconfiguratie kunt u aangeven dat de inhoud van een bepaalde URL of van alle URL's niet mag worden verwijderd uit de cache.

U doet dit door de URL(s) toe te voegen die niet mogen worden verwijderd (in het voorbeeldscherm hierboven is dat www.Secure4U.com) wanneer de sessie is beëindigd. Als u het selectievakje Cache niet verwijderen inschakelt, wordt de cache nooit leeggemaakt.


Cache-editor

Als u meerdere webbrowsers gebruikt, kunt u aangeven voor welke browser u de cache wilt weergeven in de Cache-editor . Verder kunt u aangeven voor welke lokale gebruiker u de cache wilt bekijken. De gewenste browser en gebruiker selecteert u in de desbetreffende vervolgkeuzelijst.

De inhoud van de cache wordt weergegeven in vier kolommen in het onderste deel van het venster:

  • Lokale bestandsnaam
  • Bron-URL
  • Laatste toegang
  • Bestandsgrootte

Selecteer een cachebestand en klik er met de rechtermuisknop op om een snelmenu met de volgende opdrachten weer te geven:

  • Uitvoeren

  • Geselecteerde items verwijderen

  • Alle weergegevens items verwijderen

  • Eigenschappen

Uitvoeren

Kies deze opdracht om het bestand weer te geven.

Geselecteerde items verwijderen

Kies deze opdracht om de geselecteerde items permanent te verwijderen.

Alle weergegevens items verwijderen

Kies deze opdracht om alle items permanent te verwijderen.

Eigenschappen

Kies deze opdracht om een dialoogvenster met de eigenschappen van het cachebestand te openen.

Filter weergeven

Schakel het selectievakje Filter weergeven in om in een nieuw deelvenster aan de rechterkant de map Filter weer te geven. Selecteer deze map om de volgende bestandsmappen weer te geven:

  • Tekst
  • Toepassing
  • Audio
  • Video
  • Afbeelding
  • Java
  • Bericht

Als u een map opent, ziet u daarin een aantal bestandsextensies. Klik op een extensie om in het middelste venster alleen de cachebestanden met die extensie weer te geven.

Opmerking De regels voor het leegmaken van de cache worden direct actief, wat betekent dat de relevante cachebestanden aan het einde van de sessie worden verwijderd.


Cookieconfiguratie

Wanneer wordt geprobeerd een cookie op te slaan op uw computer, controleert Secure4U Cookiebeheer de geconfigureerde lijst van cookies om na te gaan of de URL/site die de cookie wil opslaan een vertrouwde bron is. Afhankelijk van het beleid dat is ingesteld met Cookiebeheer, wordt vervolgens al dan niet een bepaalde actie uitgevoerd voor de site. Daarnaast kunt u Cookiebeheer gebruiken om aan het einde van een sessie automatisch alle cookies te verwijderen. In het deelvenster Cookieconfiguratie kunt u aangeven dat cookies van een bepaalde URL of van alle URL's mogen worden opgeslagen. Het volgende venster wordt weergegeven wanneer u het onderdeel Cookieconfiguratie selecteert.

Het deelvenster Cookieconfiguratie is vergelijkbaar met het deelvenster Cacheconfiguratie. U kunt URL(s) toevoegen waarvoor Secure4U een bepaalde actie moet uitvoeren wanneer van de site een cookie wordt gedownload. Klik met de rechtermuisknop op een URL-vermelding in het onderste gedeelte van het venster om een snelmenu met de volgende opdrachten weer te geven:

  • Verwijderen

    Hiermee verwijdert u de URL uit de lijst.

  • Nooit

    Alle cookies van deze URL/site worden automatisch geblokkeerd. Het opslaan van cookies van deze URL/site is niet toegestaan.

  • Altijd

    Alle cookies van deze URL/site worden automatisch opgeslagen op uw computer.

De actie die wordt genomen door Secure4U kunt u bekijken in het activiteitenvenster.

Schakel het selectievakje Alle cookies na de sessie verwijderen in om er zeker van te zijn dat alle cookies aan het einde van de sessie worden verwijderd.

Als het selectievakje Gebruiker niet naar cookies vragen is ingeschakeld, worden cookies automatisch geaccepteerd (deze functie is ook beschikbaar in bijvoorbeeld Internet Explorer), behalve voor sites waarvoor is ingesteld dat ze nooit mogen worden opgeslagen.

Schakel het selectievakje Permanent toepassen op dit object in als u alle cookies wilt accepteren, behalve voor sites waarvoor is ingesteld dat ze nooit mogen worden opgeslagen.


Cookie-editor

Het volgende venster wordt weergegeven wanneer u het onderdeel Cookie-editor selecteert:

Als u meerdere webbrowsers gebruikt, kunt u aangeven voor welke browser u de opgeslagen cookies wilt weergeven in de Cookie-editor . Verder kunt u aangeven voor welke lokale gebruiker u de cookies wilt bekijken. De gewenste browser en gebruiker selecteert u in de desbetreffende vervolgkeuzelijst.

De cookies worden weergegeven in vier kolommen in het onderste deel van het venster:

  • Cookienaam
  • URL
  • Laatste toegang
  • Cookiewaarde

Selecteer een cookie en klik er met de rechtermuisknop op om een snelmenu met de volgende opdrachten weer te geven:

  • Geselecteerde items verwijderen

  • Alle weergegevens items verwijderen

  • Eigenschappen

Geselecteerde items verwijderen

Kies deze opdracht om de geselecteerde items permanent te verwijderen.

Alle weergegevens items verwijderen

Kies deze opdracht om alle items permanent te verwijderen.

Eigenschappen

Kies deze opdracht om een dialoogvenster met de eigenschappen van het cookiebestand te openen. Dit dialoogvenster is vergelijkbaar met het eigenschappenvenster voor cachebestanden.

Zelflerende modus

Het mechanisme voor het omzetten van URL's moet over het exacte adres beschikken om een cookie van een bepaalde site te kunnen blokkeren.

Veel sites op het Internet gebruiken voor het opslaan van cookies echter vaak andere URL's dan die van de site zelf. Er is daarom een zelflerende modus ontwikkeld waarin een waarschuwingsvenster wordt weergegeven wanneer een nieuwe site probeert een cookie op te slaan op de computer.

Als de optie Permanent toepassen op dit object is ingeschakeld, wordt de cookie toegevoegd aan de lijst van Cookiebeheer.

Als de optie Permanent toepassen op dit object niet is ingeschakeld, worden de instellingen alleen gebruikt voor de huidige cookie. Het is raadzaam deze optie niet in te schakelen wanneer u weet dat sites cookies gebruiken voor het opslaan van wachtwoorden of gebruiker-id's.

Wanneer het opslaan van een cookie wordt geblokkeerd door Secure4U of wanneer het opslaan van een cookie automatisch of door de gebruiker wordt toegestaan, kunt u hiervoor aanvullende gegevens bekijken in het activiteitenvenster.

Alle cookies die momenteel aanwezig zijn op uw computer worden weergegeven in het onderste deel van het activiteitenvenster.

Klik met de rechtermuisknop op een vermelding in de lijst om een cookie te verwijderen of de eigenschappen ervan te bekijken.

Bestaande cookies verwijderen

U kunt cookies verwijderen via Cookiebeheer in het beheerprogramma (zoals hierboven beschreven) of via het activiteitenvenster. Als u een cookie van uw computer wilt verwijderen via het activiteitenvenster, selecteert u de cookie en klikt u met de rechtermuisknop op de vermelding. Kies vervolgens Verwijderen in het snelmenu. De cookie wordt permanent van de vaste schijf verwijderd. Zie voor meer informatie het gedeelte over het activiteitenvenster in deze handleiding.

Opmerking Alle wijzigingen voor dit configuratieonderdeel worden direct doorgevoerd.


Getypte URL's

Het onderdeel Getypte URL's is vergelijkbaar met de onderdelen Cache-editor en Cookie-editor.

Selecteer een getypte URL en klik er met de rechtermuisknop op om een snelmenu met de volgende opdrachten weer te geven:

  • Geselecteerde items verwijderen

  • Alle weergegevens items verwijderen

Geselecteerde items verwijderen

Met deze opdracht verwijdert u de getypte URL die is geselecteerd.

Alle weergegevens items verwijderen

Kies deze opdracht om alle items permanent te verwijderen.

Opmerking Alle wijzigingen worden direct van kracht.


WWW-inhoud filteren

Gezien de hoeveelheid overbodige en ongepaste informatie op het Internet, is het onderdeel WWW-inhoud filteren ontwikkeld. Met dit onderdeel kunt u instellen wat wel en wat niet kan worden bekeken via het web.

Webpagina's die bepaalde woorden, onderwerpen of ideeën bevatten, kunt u op deze manier blokkeren. Als u bijvoorbeeld niet wilt dat iemand een website bezoekt waarop het woord “sex” of “games” voorkomt, kunt u deze woorden toevoegen aan de lijst waarop wordt gefilterd. Wanneer vervolgens iemand probeert een website met nieuwe games of naaktfoto's te bezoeken, wordt de toegang tot die website geweigerd.

Opmerking Er wordt niet gefilterd op inhoud als geen filterwoorden zijn opgegeven.


E-mail filteren

Het onderdeel E-mail filteren wordt gebruikt om de toegang tot overbodige of gevaarlijke e-mails te beheren. Als u dit onderdeel kiest, kunt u bepaalde woorden selecteren die niet mogen voorkomen in uitgaande e-mailberichten (bijvoorbeeld “vertrouwelijk”, “privé” of “sex”). Vervolgens is het niet meer mogelijk e-mailberichten met deze woorden te verzenden.

U kunt E-mail filteren ook gebruiken om in te stellen dat e-mails met vertrouwelijke informatie alleen kunnen worden verzonden naar bepaalde adressen (zogenaamde “vertrouwde” bestemmingen). De lijst met vertrouwde bestemmingen kan bijvoorbeeld alleen de e-mailadressen van werknemers van uw bedrijf bevatten. Op die manier kunnen documenten met vertrouwelijke gegevens alleen intern worden verzonden.

Voorbeeld: Als u e-mails wilt kunnen verzenden naar personen binnen uw bedrijf (JanJansen@uwbedrijf.com en MargaBruins@uwbedrijf.com), voegt u het adres uwbedrijf.com toe aan de lijst. Vervolgens is het toegestaan e-mails te verzenden naar werknemers van uw bedrijf.